<?php

namespace App\Controller;

use App\Request\NewsListingRequest;
use App\Service\NewsListingService;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\Routing\Attribute\Route;

#[Route('api/v1/news')]
class NewsController extends AbstractController
{
    public function __construct(NewsListingService $service)
    {
        parent::__construct($service);
    }

    #[Route('/', name: 'news')]
    public function index(NewsListingRequest $request): JsonResponse
    {
        return $this->build($request);
    }
}
