<?php

namespace App\Controller;

use App\Request\EmptyRequest;
use App\Service\NewsMainNewsService;
use App\Service\ServiceInterface;
use Symfony\Component\Routing\Attribute\Route;

#[Route('/api/v1/news')]
class NewsMainNewsController extends AbstractController
{
    public function __construct(NewsMainNewsService $service)
    {
        parent::__construct($service);
    }

    #[Route('/mainNews', name: 'mainNews')]
    public function index (EmptyRequest $request)
    {
        return $this->build($request);
    }
}