<?php

namespace App\Controller;

use App\Dto\ErrorDto;
use App\Error\AbstractError;
use App\Request\AbstractRequest;
use App\Service\ServiceInterface;
use Symfony\Component\HttpFoundation\JsonResponse;
use Throwable;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController as BundleController;

abstract class AbstractController extends BundleController
{
    public function __construct(
        private readonly ServiceInterface $service
    ) {}

    protected function build(AbstractRequest $request): JsonResponse
    {
//        try {
            return new JsonResponse($this->service->serve($request));
//
//        } catch (AbstractError $error) {
//            $errorDto = new ErrorDto();
//
//            $errorDto->message = $error->message;
//            $errorDto->code = $error->code;
//            $errorDto->status = $error->status;
//
//            return new JsonResponse($errorDto, $error->status);
//
//        } catch (Throwable $exception) {
//            $error = new ErrorDto();
//            return new JsonResponse($error, $error->status);
//        }
    }
}
