<?php

namespace App\Controller;

use App\Request\DetailRequest;
use App\Service\NewsDetailService;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\Routing\Attribute\Route;

#[Route('/api/v1/news')]
class NewsDetailController extends AbstractController
{
    public function __construct(NewsDetailService $service)
    {
        parent::__construct($service);
    }

    #[Route('/{detailId}', name: 'oneNews')]
    public function index(DetailRequest $request): JsonResponse
    {
        return $this->build($request);
    }
}
