<?php

namespace App\Dto;

use Ramsey\Collection\Collection;

class RestaurantDetailElementDto implements DtoInterface
{
    public string $id;

    public string $name;

    public string $code;

    public string $coordinates;

    public RestaurantTypeDto $type;

    public ?string $check;

    public ?string $check_info;

    /** @var DtoCollection<KitchenTypeDto>|null  */
    public ?DtoCollection $kitchen;

    /** @var DtoCollection<string>|null */
    public ?DtoCollection $phone;

    /** @var DtoCollection<string>|null */
    public ?DtoCollection $email;

    /** @var DtoCollection<string>|null */
    public ?DtoCollection $address;

    /** @var DtoCollection<TagDto>|null */
    public ?DtoCollection $tags;

    public ?string $site;

    /** @var FileDto|null Превью фото */
    public ?FileDto $image;

    /** @var DtoCollection<FileDto>|null */
    public ?DtoCollection $gallery;
}
